{
//=========Macro generated from canvas: c1/A Simple Graph with error bars
//=========  (Wed Dec  3 09:37:31 2014) by ROOT version5.34/00
   TCanvas *c1 = new TCanvas("c1", "A Simple Graph with error bars",0,52,1920,1004);
   c1->Range(0,0,1,1);
   c1->SetFillColor(0);
   c1->SetBorderMode(0);
   c1->SetBorderSize(2);
   c1->SetGridx();
   c1->SetGridy();
   c1->SetFrameBorderMode(0);
  
// ------------>Primitives in pad: c1_1
   TPad *c1_1 = new TPad("c1_1", "c1_1",0.01,0.01,0.49,0.99);
   c1_1->Draw();
   c1_1->cd();
   c1_1->Range(-0.4375,0.350049,5.4875,2.783286);
   c1_1->SetFillColor(0);
   c1_1->SetBorderMode(0);
   c1_1->SetBorderSize(2);
   c1_1->SetFrameBorderMode(0);
   c1_1->SetFrameBorderMode(0);
   
   TGraphErrors *gre = new TGraphErrors(8);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetFillColor(1);
   gre->SetLineColor(6);
   gre->SetMarkerColor(2);
   gre->SetMarkerStyle(22);
   gre->SetPoint(0,0.55,0.9824036);
   gre->SetPointError(0,0,0.1822085);
   gre->SetPoint(1,1,0.9597232);
   gre->SetPointError(1,0,0.1581604);
   gre->SetPoint(2,1.4,0.8908031);
   gre->SetPointError(2,0,0.1352146);
   gre->SetPoint(3,1.8,1.090576);
   gre->SetPointError(3,0,0.2058383);
   gre->SetPoint(4,2.25,1.143544);
   gre->SetPointError(4,0,0.2367721);
   gre->SetPoint(5,2.75,1.071562);
   gre->SetPointError(5,0,0.1594206);
   gre->SetPoint(6,3.5,1.405107);
   gre->SetPointError(6,0,0.1880897);
   gre->SetPoint(7,4.5,2.105956);
   gre->SetPointError(7,0,0.2717907);
   
   TH1F *Graph_Graph1 = new TH1F("Graph_Graph1","",100,0.155,4.895);
   Graph_Graph1->SetMinimum(0.5933727);
   Graph_Graph1->SetMaximum(2.539962);
   Graph_Graph1->SetDirectory(0);
   Graph_Graph1->SetStats(0);

   Int_t ci;   // for color index setting
   ci = TColor::GetColor("#000099");
   Graph_Graph1->SetLineColor(ci);
   Graph_Graph1->GetXaxis()->SetLabelFont(42);
   Graph_Graph1->GetXaxis()->SetLabelSize(0.035);
   Graph_Graph1->GetXaxis()->SetTitleSize(0.035);
   Graph_Graph1->GetXaxis()->SetTitleFont(42);
   Graph_Graph1->GetYaxis()->SetLabelFont(42);
   Graph_Graph1->GetYaxis()->SetLabelSize(0.035);
   Graph_Graph1->GetYaxis()->SetTitleSize(0.035);
   Graph_Graph1->GetYaxis()->SetTitleFont(42);
   Graph_Graph1->GetZaxis()->SetLabelFont(42);
   Graph_Graph1->GetZaxis()->SetLabelSize(0.035);
   Graph_Graph1->GetZaxis()->SetTitleSize(0.035);
   Graph_Graph1->GetZaxis()->SetTitleFont(42);
   gre->SetHistogram(Graph_Graph1);
   
   gre->Draw("ap");
   
   TGraph *graph = new TGraph(8);
   graph->SetName("Graph");
   graph->SetTitle("Graph");
   graph->SetFillColor(1);
   graph->SetLineColor(4);
   graph->SetMarkerColor(4);
   graph->SetMarkerStyle(22);
   graph->SetPoint(0,0.5500000119,1);
   graph->SetPoint(1,1,1);
   graph->SetPoint(2,1.399999976,1);
   graph->SetPoint(3,1.799999952,1);
   graph->SetPoint(4,2.25,1);
   graph->SetPoint(5,2.75,1);
   graph->SetPoint(6,3.5,1);
   graph->SetPoint(7,4.5,1);
   
   TH1F *Graph_Graph1 = new TH1F("Graph_Graph1","Graph",100,0.155,4.895);
   Graph_Graph1->SetMinimum(0.9);
   Graph_Graph1->SetMaximum(2.1);
   Graph_Graph1->SetDirectory(0);
   Graph_Graph1->SetStats(0);

   ci = TColor::GetColor("#000099");
   Graph_Graph1->SetLineColor(ci);
   Graph_Graph1->GetXaxis()->SetLabelFont(42);
   Graph_Graph1->GetXaxis()->SetLabelSize(0.035);
   Graph_Graph1->GetXaxis()->SetTitleSize(0.035);
   Graph_Graph1->GetXaxis()->SetTitleFont(42);
   Graph_Graph1->GetYaxis()->SetLabelFont(42);
   Graph_Graph1->GetYaxis()->SetLabelSize(0.035);
   Graph_Graph1->GetYaxis()->SetTitleSize(0.035);
   Graph_Graph1->GetYaxis()->SetTitleFont(42);
   Graph_Graph1->GetZaxis()->SetLabelFont(42);
   Graph_Graph1->GetZaxis()->SetLabelSize(0.035);
   Graph_Graph1->GetZaxis()->SetTitleSize(0.035);
   Graph_Graph1->GetZaxis()->SetTitleFont(42);
   graph->SetHistogram(Graph_Graph1);
   
   graph->Draw("l");
   
   TPaveText *pt = new TPaveText(-0.4256459,2.611268,5.469203,2.732001,"br");
   TText *text = pt->AddText("T = 0.114 GeV, etaf = 0.86, n = 0.81");
   pt->Draw();
   
   pt = new TPaveText(0.7404391,2.364553,4.206482,2.480037,"br");
   text = pt->AddText("prediction based on 8 species (20-40%) best fit");
   pt->Draw();
   
   pt = new TPaveText(1.172084,2.023352,2.905105,2.154583,"br");
   text = pt->AddText("K* (20-40%)");
   pt->Draw();
   c1_1->Modified();
   c1->cd();
  
// ------------>Primitives in pad: c1_2
   c1_2 = new TPad("c1_2", "c1_2",0.51,0.01,0.99,0.99);
   c1_2->Draw();
   c1_2->cd();
   c1_2->Range(-0.3125001,0.3981963,5.4625,2.138117);
   c1_2->SetFillColor(0);
   c1_2->SetBorderMode(0);
   c1_2->SetBorderSize(2);
   c1_2->SetFrameBorderMode(0);
   c1_2->SetFrameBorderMode(0);
   
   gre = new TGraphErrors(8);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetFillColor(1);
   gre->SetLineColor(6);
   gre->SetMarkerColor(2);
   gre->SetMarkerStyle(22);
   gre->SetPoint(0,0.65,1.06248);
   gre->SetPointError(0,0,0.09284869);
   gre->SetPoint(1,0.9,1.071908);
   gre->SetPointError(1,0,0.1090895);
   gre->SetPoint(2,1.25,1.071927);
   gre->SetPointError(2,0,0.131929);
   gre->SetPoint(3,1.75,0.9195452);
   gre->SetPointError(3,0,0.1047217);
   gre->SetPoint(4,2.25,0.8936461);
   gre->SetPointError(4,0,0.1058264);
   gre->SetPoint(5,2.75,0.7956466);
   gre->SetPointError(5,0,0.1074635);
   gre->SetPoint(6,3.5,0.869448);
   gre->SetPointError(6,0,0.1034043);
   gre->SetPoint(7,4.5,1.60369);
   gre->SetPointError(7,0,0.2444403);
   
   TH1F *Graph_Graph2 = new TH1F("Graph_Graph2","",100,0.265,4.885);
   Graph_Graph2->SetMinimum(0.5721884);
   Graph_Graph2->SetMaximum(1.964125);
   Graph_Graph2->SetDirectory(0);
   Graph_Graph2->SetStats(0);

   ci = TColor::GetColor("#000099");
   Graph_Graph2->SetLineColor(ci);
   Graph_Graph2->GetXaxis()->SetLabelFont(42);
   Graph_Graph2->GetXaxis()->SetLabelSize(0.035);
   Graph_Graph2->GetXaxis()->SetTitleSize(0.035);
   Graph_Graph2->GetXaxis()->SetTitleFont(42);
   Graph_Graph2->GetYaxis()->SetLabelFont(42);
   Graph_Graph2->GetYaxis()->SetLabelSize(0.035);
   Graph_Graph2->GetYaxis()->SetTitleSize(0.035);
   Graph_Graph2->GetYaxis()->SetTitleFont(42);
   Graph_Graph2->GetZaxis()->SetLabelFont(42);
   Graph_Graph2->GetZaxis()->SetLabelSize(0.035);
   Graph_Graph2->GetZaxis()->SetTitleSize(0.035);
   Graph_Graph2->GetZaxis()->SetTitleFont(42);
   gre->SetHistogram(Graph_Graph2);
   
   gre->Draw("ap");
   
   graph = new TGraph(8);
   graph->SetName("Graph");
   graph->SetTitle("Graph");
   graph->SetFillColor(1);
   graph->SetLineColor(4);
   graph->SetMarkerColor(4);
   graph->SetMarkerStyle(22);
   graph->SetPoint(0,0.6499999762,1);
   graph->SetPoint(1,0.8999999762,1);
   graph->SetPoint(2,1.25,1);
   graph->SetPoint(3,1.75,1);
   graph->SetPoint(4,2.25,1);
   graph->SetPoint(5,2.75,1);
   graph->SetPoint(6,3.5,1);
   graph->SetPoint(7,4.5,1);
   
   TH1F *Graph_Graph2 = new TH1F("Graph_Graph2","Graph",100,0.265,4.885);
   Graph_Graph2->SetMinimum(0.9);
   Graph_Graph2->SetMaximum(2.1);
   Graph_Graph2->SetDirectory(0);
   Graph_Graph2->SetStats(0);

   ci = TColor::GetColor("#000099");
   Graph_Graph2->SetLineColor(ci);
   Graph_Graph2->GetXaxis()->SetLabelFont(42);
   Graph_Graph2->GetXaxis()->SetLabelSize(0.035);
   Graph_Graph2->GetXaxis()->SetTitleSize(0.035);
   Graph_Graph2->GetXaxis()->SetTitleFont(42);
   Graph_Graph2->GetYaxis()->SetLabelFont(42);
   Graph_Graph2->GetYaxis()->SetLabelSize(0.035);
   Graph_Graph2->GetYaxis()->SetTitleSize(0.035);
   Graph_Graph2->GetYaxis()->SetTitleFont(42);
   Graph_Graph2->GetZaxis()->SetLabelFont(42);
   Graph_Graph2->GetZaxis()->SetLabelSize(0.035);
   Graph_Graph2->GetZaxis()->SetTitleSize(0.035);
   Graph_Graph2->GetZaxis()->SetTitleFont(42);
   graph->SetHistogram(Graph_Graph2);
   
   graph->Draw("l");
   
   pt = new TPaveText(1.074233,1.55155,2.631514,1.669787,"br");
   text = pt->AddText("phi (20-30%)");
   pt->Draw();
   c1_2->Modified();
   c1->cd();
   c1->Modified();
   c1->cd();
   c1->SetSelected(c1);
   c1->ToggleToolBar();
}
